Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.zencoder.ai/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Zenflow now supports installation on a VPS (Virtual Private Server). Follow instructions below to set it up or watch this video walkthrough for DigitalOcean

VPS requirements

Regardless of VPS provider, main requirement is to enable HTTPS traffic to the instance
  1. Log into DigitalOcean
  2. Click Create dropdown and select Droplets create menu dropdown
  3. Choose the region based on your requirements
  4. Choose Ubuntu 24.04 for the OS (the default image)
  5. Droplet size depends on your needs - if you expect Zenflow to execute heavy tasks (e.g. compiling code), you might want to create larger droplet. Or you can start with the default droplet OS and size settings
  6. Choose and set up your authentication method
  7. Optionally rename the droplet to something meaningful, like Zenflow hostname set to Zenflow
  8. Click Create Droplet button
  9. After droplet gets created, connect to it either using terminal or through Digital Ocean’s Access console menu with access console option button to launch droplet console
Once you are connected to the VPS:
  1. Create non-root user with desired name (for example, zenflow), give it sudo rights and switch to the user:
adduser zenflow
usermod -aG sudo zenflow
su - zenflow
  1. Run the following command to download and execute set up script:
curl -fsSL https://download.zencoder.ai/releases/vps_setup.sh | sudo bash
  1. After initial setup the script will ask you to create API key at https://auth.zencoder.ai/api-keys api key request
  2. On that page click Add, give the API key a name and click Create. You will be shown the API key, store it in a secure place, it is only shown once api key creation menu
  3. Go back to your VPS and paste the API key
  4. You will then be shown the URL at which you can access Zenflow and credentials (username/password) url and credentials
  5. When you visit the URL, you’ll be prompted for Username/Password from the previous step credentials request modal
  6. Once logged in, you’ll see the onboarding screen of Zenflow and now can work with it through browser remotely onboarding first screen